<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Follow extends Model
{
    use HasFactory;
    protected $table = 'follows_project';
    public $timestamps = true;

    protected $fillable = ['user_id', 'project_id', 'followed_user_id', 'status'];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function project()
    {
        return $this->belongsTo(permohonanProject::class, 'project_id');
    }
}
